> For the complete documentation index, see [llms.txt](https://docs.nosto.com/techdocs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/techdocs/apis/frontend/oss.md).

# Open Source

Nosto offers various Open Source libraries for integration of Nosto products into frontend app development. The libraries are hosted on GitHub.

| Library                                                                                                                               | Description                                                                                                                                                                                                           | Links                                                                                                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| [nosto-js](https://docs.nosto.com/techdocs/apis/frontend/oss/nosto-js)                                                                | Nosto JS is a wrapper for the client script, providing an easy way to interact with the Nosto service from your JavaScript or TypeScript applications. Use this library for basic Nosto integration in FE app builds. | <p><a href="https://github.com/Nosto/nosto-js">GitHub</a><br><a href="https://nosto.github.io/nosto-js/">API Docs</a></p>                    |
| [search-js](https://docs.nosto.com/techdocs/apis/frontend/oss/search-js)                                                              | Search JS is a wrapper for the Nosto Search functionality. Use this library for Nosto Search usage in FE app builds.                                                                                                  | <p><a href="https://github.com/Nosto/search-js">GitHub</a><br><a href="https://nosto.github.io/search-js/">API Docs</a></p>                  |
| [nosto-autocomplete](https://docs.nosto.com/techdocs/implementing-nosto/implement-search/search/implement-autocomplete-using-library) | Standalone library for Autocomplete implementations using Nosto Search. Use this library for Autocomplete implementations using Nosto Search in FE app builds.                                                        | <p><a href="https://github.com/Nosto/nosto-autocomplete">GitHub</a><br><a href="https://nosto.github.io/nosto-autocomplete">API Docs</a></p> |
| [nosto-react](https://docs.nosto.com/techdocs/apis/frontend/oss/react-support)                                                        | Nosto React is a React component library to make it easier to implement Nosto using the Session API. Use this library for embedding Nosto recommendations in a React app.                                             | <p><a href="https://github.com/Nosto/nosto-react">GitHub</a><br><a href="https://nosto.github.io/nosto-react/">API Docs</a></p>              |
| [shopify-hydrogen](https://github.com/Nosto/shopify-hydrogen)                                                                         | Component library for integrating Nosto features into a Shopify Hydrogen-based storefront.                                                                                                                            | <p><a href="https://github.com/Nosto/shopify-hydrogen">GitHub</a><br>N/A</p>                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/oss.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
